#!/bin/sh

keyboard="AT Translated Set 2 keyboard"

rm -f .testfifo
mkfifo .testfifo
xinput test "AT Translated Set 2 keyboard" \
	| grep --line-buffered "key press   36" > .testfifo &
xpid=$!

rm -f .matchfifo
mkfifo .matchfifo
cat .matchfifo | ./facematcher.py match --device 2 --wait faces/$USER/* &

read <.testfifo
echo > .matchfifo

kill $xpid
wait

rm -f .testfifo
rm -f .matchfifo
